Index: gutter-items.el
===================================================================
RCS file: /usr/CVSroot/XEmacs/xemacs/lisp/Attic/gutter-items.el,v
retrieving revision 1.1.2.55
diff -u -r1.1.2.55 gutter-items.el
--- gutter-items.el	2000/11/20 12:46:51	1.1.2.55
+++ gutter-items.el	2000/11/20 22:20:55
@@ -333,23 +333,25 @@
 		       gutter-buffers-tab-orientation))
 	(add-tab-to-gutter))
       (when (valid-image-instantiator-format-p 'tab-control frame)
-	(set-glyph-image
-	 gutter-buffers-tab
-	 (vector 'tab-control :descriptor "Buffers" :face buffers-tab-face
-		 :orientation gutter-buffers-tab-orientation
-		 (if (or (eq gutter-buffers-tab-orientation 'top)
-			 (eq gutter-buffers-tab-orientation 'bottom))
-		     :pixel-width :pixel-height)
-		 (if (or (eq gutter-buffers-tab-orientation 'top)
-			 (eq gutter-buffers-tab-orientation 'bottom))
-		     '(gutter-pixel-width) '(gutter-pixel-height))
-		 :items (buffers-tab-items nil frame force-selection))
-	 frame)
-	;; set-glyph-image will not make the gutter dirty
-	(set-specifier-dirty-flag 
-	 (eval (intern (concat 
-			(symbol-name gutter-buffers-tab-orientation) 
-			"-gutter"))))))))
+	(let ((items (buffers-tab-items nil frame force-selection)))
+	  (when items
+	    (set-glyph-image
+	     gutter-buffers-tab
+	     (vector 'tab-control :descriptor "Buffers" :face buffers-tab-face
+		     :orientation gutter-buffers-tab-orientation
+		     (if (or (eq gutter-buffers-tab-orientation 'top)
+			     (eq gutter-buffers-tab-orientation 'bottom))
+			 :pixel-width :pixel-height)
+		     (if (or (eq gutter-buffers-tab-orientation 'top)
+			     (eq gutter-buffers-tab-orientation 'bottom))
+			 '(gutter-pixel-width) '(gutter-pixel-height)) 
+		     :items items)
+	     frame)
+	    ;; set-glyph-image will not make the gutter dirty
+	    (set-specifier-dirty-flag 
+	     (eval (intern (concat 
+			    (symbol-name gutter-buffers-tab-orientation) 
+			    "-gutter"))))))))))
 
 ;; A myriad of different update hooks all doing slightly different things
 (add-one-shot-hook 
